Bug 12210 - поведение на пустом диске
: поведение на пустом диске
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/evms)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
: distro-blocker
:
: 19564
  Show dependency tree
 
Reported: 2007-07-04 20:01 by
Modified: 2009-09-22 09:05 (History)


Attachments
Создается том на все 12Гб пустого диска в VB (62.29 KB, image/png)
2009-09-21 01:42, Ilya Mashkin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-04 20:01:32
если диск совсем пустой (по нулям, без таблицы разделов), то alterator-vm 
воспринимает его как volume.
------- Comment #1 From 2007-07-04 20:58:18 -------
да, это так.
авторазбивке это не мешает.
в чём баг ?
------- Comment #2 From 2007-07-04 22:11:35 -------
Во-первых, на этапе выбора профиля разбивки он сообщает что-то вроде "0 из 
10Гб" свободно.

Во-вторых, это мешает разбивке в режиме "custom".

Можно, конечно, кнопнуть "очистить всё перед применением". Можно 
сказать "destroy" на hda (а ты бы догадался сказать destroy на свой новый 
жёсткий диск?). Самое неприятное, что он _нигде_ не пишет, что это volume. Он 
пишет "hda". То, что это volume, должно быть ясно из иконки, как пояснил ldv, 
но мне, например, это не ясно ни разу, и в документации ничего про иконки нет.

По-хорошему, это даже два бага. Один интерфейсный (если в него собрать все эти 
недочёты с "0 из 10Гб свободно", следующий из программного, 
кнопку "Уничтожить", которую надо кнопнуть на жёстком диске и т.п.), второй 
программный (пустой диск, как бы ни был похож на volume с точки зрения evms, 
им не является).

Возможное решение я сказал ldv. Это доп. модуль (если evms настолько 
странный), который бы проверял первые и последние сектора (можно уточнить, 
сколько именно) диска и пытался бы понять, насколько это непохоже на partition 
table/lvm/raid. И, если есть впечатление, что диск пустой, выдавать 
диалог: "диск похож на пустой. Создать на нём таблицу разделов? де/нет". Если 
впечатления нет, просто молча прокидывать на alterator-vm. Это решение, 
правда, указанные баги не устраняет, а маскирует.
------- Comment #3 From 2007-07-05 00:18:58 -------
предполагается, что пользователь, перешедший в режим custom,
читал документацию на этот модуль, так что ему не придётся
догадываться, что нужно уничтожить volume на весь диск,
если желается иная схема разбивки.
Я исхожу из того, что если диск без разделов -- это ж-ж
неспроста и следовало бы поручить разрешить эту ситуацию
пользователю. автоугадав по первому/последнему/среднему/всякому
сектору тут не покроет всех мыслимых способов и всяко будет
тупее evms. Да, evms не сокровище, но это лучшее, что у нас есть.
------- Comment #4 From 2007-07-05 01:33:16 -------
Сергей, пойми же -- я не ругаю (не дай бог) ваших священных коров.

Но когда пользователю показывают 0 гб свободных из его нового диска, это 
ошибка. Даже если она не мешает автоматической разбивке. Если пользователь 
переходит в режим custom, то это лишь значит, что он в курсе: может быть 
разбивка диска отличная от "какой-то", которую вы придумали.

Про доки: я читал тут:
http://heap.altlinux.org/alt-docs/server/install2.kirill/index.html
http://heap.altlinux.org/alt-docs/server/alterator_vm.kirill/index.html

Может, невнимательно читал. Ничего про установку на пустой диск не нашёл.

Про поручение пользователю -- перечитай решение, которое я описал. И расскажи, 
чем оно хуже текущего антиинтуитивного поведения? Кроме гордости за обиженный 
модуль?

В 99.99% это ж-ж спроста, это просто новый винчестер только что из магазина. И 
если случай попадает в оставшийся 0.01% (вот уж забота так забота), то один 
диалог -- "у вас пустой диск, кажется?" -- решит проблему, и 99.99% 
пользователей просто ничего не заметят.
------- Comment #5 From 2007-07-05 10:42:44 -------
Сам особенно не спотыкался, но из меня тут плохой тестер.  Придумать тоже
ничего
не получается, поскольку по факту hda -- действительно честный volume, на
котором действительно можно создать файловую систему.

Вот предупреждалку бы какую на случай отсутствия разделов действительно выдать.
 Типа, "этот диск может быть не опознан вашими коллегами как содержащий данные,
мож создайте разделы?".
------- Comment #6 From 2007-07-05 13:27:30 -------
я этих коров люблю не больше, скорее меньше.
в общем, если править, то в самом evms.
------- Comment #7 From 2007-07-05 13:28:13 -------
to proper package
------- Comment #8 From 2007-07-05 13:28:42 -------
and proper maintainer
------- Comment #9 From 2009-04-24 00:13:05 -------
*** Bug 19746 has been marked as a duplicate of this bug. ***
------- Comment #10 From 2009-08-04 18:12:36 -------
По-моему, это теперь уже WONTFIX.
------- Comment #11 From 2009-08-11 00:02:22 -------
Были сообщения о проблемах с авторазбивко
------- Comment #12 From 2009-08-11 00:03:08 -------
Были сообщения о проблемах с авторазбивкой пустого диска.
Прошу QA проверить.
------- Comment #13 From 2009-08-11 00:27:32 -------
Особенно на новых дисках, в частности в виртуальных машинах (VirtualBox,
qemu...)
------- Comment #14 From 2009-08-11 00:31:15 -------
(В ответ на комментарий №13)
> Особенно на новых дисках, в частности в виртуальных машинах (VirtualBox,
> qemu...)

Можно описать, что там происходит?
------- Comment #15 From 2009-08-11 00:43:23 -------
Выше  описано, и тут тоже:
https://bugzilla.altlinux.org/show_bug.cgi?id=19746
------- Comment #16 From 2009-08-11 00:49:22 -------
с авторазбивкой проблем не замечено.
------- Comment #17 From 2009-08-11 00:55:56 -------
(В ответ на комментарий №15)
> Выше  описано, и тут тоже:
> https://bugzilla.altlinux.org/show_bug.cgi?id=19746

Это при ручном разбиении, а я говорю про автоматическое.
------- Comment #18 From 2009-08-14 19:43:35 -------
(В ответ на комментарий №16)
> с авторазбивкой проблем не замечено.
И автоматическое разбиение и ручное работает на свежесозданных дисках виртуалки
(qemu, VirtualBox, vmware). И только что созданных и с затёртым MBR. В
последнем случае можно ставить на неразмеченное пространство.
------- Comment #19 From 2009-09-21 01:40:31 -------
У меня простой вопрос: как оно могло исправится, если никто ничего не
исправлял? :)

ставил это:
school-5.0.0_beta-20090826-school-lite-i586-ru-install-cd.iso

см.  скрин в аттаче
------- Comment #20 From 2009-09-21 01:42:05 -------
Created an attachment (id=3912) [details]
Создается том на все 12Гб пустого диска в VB

Создается том на все 12Гб пустого диска в VB
------- Comment #21 From 2009-09-21 01:55:55 -------
(В ответ на комментарий №20)
> Created an attachment (id=3912) [details] [details]
> Создается том на все 12Гб пустого диска в VB
> 
> Создается том на все 12Гб пустого диска в VB

В чем противоречие с #18?
------- Comment #22 From 2009-09-21 18:34:07 -------
Несмотря на это, определяется как пустое место и ставится.
------- Comment #23 From 2009-09-21 23:29:53 -------
(In reply to comment #21)

> > Создается том на все 12Гб пустого диска в VB
> 
> В чем противоречие с #18?

В том что не работает, а происходит ровно то что описано в начале баги и в #1 и
#2, и это логично, потому как никаких испарвлени
------- Comment #24 From 2009-09-21 23:32:21 -------
(In reply to comment #21)

> > Создается том на все 12Гб пустого диска в VB
> 
> В чем противоречие с #18?

В том что не работает, а происходит ровно то что описано в начале баги и в #2 и
#4, и это логично, потому как никаких исправлений  не вносилось. Если это
теперь считается FIXED, ну пожалуйста.